# Easy Cozy scripts

Easy cozy project comes with 2 main scripts:
- create-instance.sh: used to create an instance for a user
- remove-instance.sh: used to remove an instance for a specific user

In addition of these scripts we have added custom scripts for some specific needs. All these scripts are available in the "admin_scripts" folder

## Scripts for instances

| Scripts           | Args              | Description                                              |
|-------------------|-------------------|----------------------------------------------------------|
| reset_instance.sh | instance_username | Remove and recreate again the instance for a given user  |

## Scripts for applications

| Scripts                  | Args              | Description                                                                   |
|--------------------------|-------------------|-------------------------------------------------------------------------------|
| update_all_ecolyo_dev.sh | none              | update Ecolyo with last version from build-dev branch on all instances        |
| update_ecolyo_master.sh  | instance_username | update Ecolyo with last version from build branch on a specific instance      |
| update_ecolyo_dev.sh     | instance_username | update Ecolyo with last version from build-dev branch on a specific instance  |
| update_ecolyo_test.sh    | instance_username | update Ecolyo with last version from build-test branch on a specific instance |
| update_pilote_master.sh  | instance_username | update Pilote with last version from build-dev branch on a specific instance  |
| update_pilote_dev.sh     | instance_username | update PIlote with last version from build-test branch on a specific instance |

## Scripts for konnectors

| Scripts                         | Args              | Description                                                                            |
|---------------------------------|-------------------|----------------------------------------------------------------------------------------|
| update_enedis_konnector_prod.sh | instance_username | update Enedis konnector with last version from build branch on a specific instance     |
| update_enedis_konnector_dev.sh  | instance_username | update Enedis konnector with last version from build-dev branch on a specific instance |

